package cn.estsh.i3plus.pojo.model.softswitch;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-4-18 上午10:26
 * @Modify:
 **/
@Data
public class SuitImppCloudModel implements Serializable {

    private static final long serialVersionUID = -8731173690394189107L;
    @ApiParam(value = "适配器信息")
    private BsSuitCaseModel model;

    @ApiParam(value = "请求参数信息")
    private Object param;

    public SuitImppCloudModel() {
    }

    public SuitImppCloudModel(SuitServerModel serverModel) {
        this.model = serverModel.getBsSuitCaseModel();
        this.param = serverModel.getObj();
        this.param = serverModel.getObj();
    }

    public SuitImppCloudModel(BsSuitCaseModel model, Object param) {
        this.model = model;
        this.param = param;
    }
}
